=head1 NAME

B<tabdump> - display an xCAT database table in CSV format.

=head1 SYNOPSIS

B<tabdump> [I<-d>] [I<table>]

B<tabdump> [I<-?> | I<-h> | I<--help>]

=head1 DESCRIPTION

The tabdump command displays the header and all the rows of the specified table in CSV (comma separated values) format.
Only one table can be specified.  If no table is specified, the list of existing
tables will be displayed.

=head1 OPTIONS

=over 10

=item B<-?|-h|--help>

Display usage message.

=item B<-d>

Show descriptions of the tables, instead of the contents of the tables.  If a table name is also specified, descriptions of the columns (attributes) of the table will be displayed.  Otherwise, a summary of each table will be displayed.

=back

=head1 RETURN VALUE

=over 3

=item 0

The command completed successfully.

=item 1

An error has occurred.

=back

=head1 EXAMPLES

=over 2

=item *

To display the contents of the site table:

  B<tabdump> I<site>

=item *

To see what tables exist in the xCAT database:

  B<tabdump>

=item *

To back up all the xCAT database tables:

dumpxCATdb -p <backup directory>

=item *

To display a summary description of each table:

  B<tabdump> I<-d>

=item *

To display a description of each column in the nodehm table:

  B<tabdump> I<-d nodehm>

=back

=head1 FILES

/opt/xcat/sbin/tabdump

=head1 SEE ALSO

L<tabrestore(8)|tabrestore.8>, L<tabedit(8)|tabedit.8>, L<dumpxCATdb(1)|dumpxCATdb.1>
